// file: circular_buffer/cb_cstr_2.cc
//

// isip include files
//
#include "CircularBuffer.h"

// method: destructor
//
// arguments: none
//
// return: none
//
// this is the destructor for the class
//
Circular_buffer::~Circular_buffer() {

  for (int i = 0; i < dim_d; i++) {
    delete [] buf_d[i];
  }
  delete [] buf_d;
  delete [] idx_d;
  delete [] num_d;

  size_d = 0;
  dim_d = 0;  
}
